import { TechInterface } from "./tech/tech-interface";
import { Quality } from "./models/quality";
import { Logger } from "nas-logger";
/**
 * Abstraction
 */
export declare class Player {
    url: string;
    player: any;
    volume: number;
    headers: any;
    protData: any;
    logger: Logger;
    debug: boolean;
    muted: boolean;
    eventHandlers: any;
    is_live: boolean;
    autoplay: boolean;
    onLicenseError: any;
    subtitlesUrl: string | null;
    tech: TechInterface | null;
    event_handler_count: number;
    videoElement: HTMLMediaElement;
    available_events: string[];
    constructor();
    init(tech: TechInterface, videoElement: HTMLMediaElement, url: string, autoplay: boolean, debug: boolean, headers: any, protData: any, onLicenseError: any): void;
    getUrl(): string;
    getTech(): TechInterface;
    play(): void;
    pause(): void;
    seek(seconds: number): void;
    getCurrentTime(): number;
    getDuration(): number;
    isLive(): boolean;
    setAudioTrack(index: number): void;
    getQualities(): any;
    setQuality(index: number): void;
    getCurrentQuality(): Quality;
    getAudioTracks(): import(".").AudioTrack[];
    setMaxQuality(): void;
    setPlaybackRate(value: number): void;
    setVolume(volume: number): void;
    getVolume(): number;
    mute(): void;
    unmute(): void;
    isMuted(): boolean;
    loadSubtitles(url: string): void;
    getSubtitlesUrl(): string | null;
    clearVideoElement(): void;
    handleEvent: (event: any) => void;
    addEventHandler(event: any, handler: any): string;
    removeEventHandler(event: string, id: string): void;
    assignEventListeners(): void;
    clearEventHandlers(): void;
    clearNode(target: any): void;
    destroy(): void;
}
