import { Logger } from 'nas-logger';
import { AudioTrack } from '../models/audio-track';
import { Quality } from '../models/quality';
import { TechInterface } from './tech-interface';
export declare class DashTech implements TechInterface {
    url: string;
    player: any;
    headers: any;
    logger: Logger;
    eventHandler: any;
    is_live: boolean;
    autoplay: boolean;
    onLicenseError: any;
    videoElement: HTMLMediaElement | null;
    defaultHandler: any;
    ascertainStreamType: any;
    playerErrorHandler: any;
    init(videoElement: HTMLMediaElement, url: string, autoplay: boolean, debug: boolean, eventHandler: any, headers: any, protData: any, onLicenseError: any): void;
    private attachHandlers;
    private detachHandlers;
    getPlayer(): any;
    isLive(): boolean;
    getAudioTracks(): AudioTrack[];
    setAudioTrack(index: number): void;
    getQualities(): Quality[];
    setQuality(index: any): void;
    getCurrentQuality(): Quality;
    setMaxQuality(): void;
    destroy(): void;
}
